# Upload secondary certificate

> Upload or update the secondary SAML certificate.

Upload or update the secondary SAML certificate.

## API Endpoint

`PUT https://{yourDomain}/{organizationName}/identity_/api/SamlCertificate/secondary`

## Scopes

Requires the following scope: `PM.AuthSetting`.

## Request headers

```
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
```

:::note
To obtain the `{access_token}`, make sure to authenticate through one of the methods described in [Authentication methods](https://docs.uipath.com/private-test-cloud/automation-suite/2.2510/api-guide/authentication-methods#authentication-methods).
:::

## Request body

The request body contains the organization ID and the secondary certificate you want to either upload or update.

```
{
  "partitionGlobalId": "<organizationID>",
  "certificate": "string"
}
```

## Responses

### 200 Success

The secondary certificate has been successfully uploaded or updated.

```
{
  "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "primaryCertificateId": 0,
  "primaryCertificate": "string",
  "primaryCertificateThumbprint": "string",
  "secondaryCertificateId": 0,
  "secondaryCertificate": "string",
  "secondaryCertificateThumbprint": "string"
}
```
